Authentification
Rafraîchir un jeton d'accès
Échange un refresh_token contre un nouvel access_token.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/token/refresh" \ -H "Content-Type: application/json" \ -d '{ "refreshToken": "eyJhbGciOiJIUzI1NiIs..." }'{
"access_token": "string",
"expires_in": 0,
"refresh_expires_in": 0,
"refresh_token": "string",
"token_type": "Bearer"
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}